<template>
  <div>
    <b-row>
      <b-col>
        <h2>Абонеты</h2>
      </b-col>
      <b-col class="text-right">
        <nuxt-link tag="button" class="btn btn-outline-secondary btn-sm" to="/abonents/new">
          Создать
        </nuxt-link>
      </b-col>
    </b-row>
    <b-list-group>
      <b-list-group-item v-for="item of abonents" :key="item._id">
        <nuxt-link :to="{ path: `/abonents/${item._id}`}">{{ fullname(item) }}</nuxt-link>
      </b-list-group-item>
    </b-list-group>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  head () {
    return {
      title: 'Абоненты'
    }
  },
  async asyncData ({ $config: { baseURL } }) {
    const response = await axios.get(`${baseURL}/abonents`)
    const abonents = response.data
    console.log(abonents)
    return {
      abonents
    }
  },
  methods: {
    fullname (abonent) {
      return `${abonent.lname} ${abonent.fname} ${abonent.mname}`
    }
  }
}
</script>
